package com.oguerreiro.resilient.domain;

import java.util.Random;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;

public class OutputDataTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2 * Integer.MAX_VALUE));
    private static final AtomicInteger intCount = new AtomicInteger(random.nextInt() + (2 * Short.MAX_VALUE));

    public static OutputData getOutputDataSample1() {
        return new OutputData().id(1L).version(1);
    }

    public static OutputData getOutputDataSample2() {
        return new OutputData().id(2L).version(2);
    }

    public static OutputData getOutputDataRandomSampleGenerator() {
        return new OutputData().id(longCount.incrementAndGet()).version(intCount.incrementAndGet());
    }
}
